# $Revision: 1.5 $, $Date: 2004/12/01 18:01:45 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Net
%define		pnam	SCP-Expect
Summary:	Net::SCP::Expect - Wrapper for scp that allows passwords via Expect
Summary(pl):	Net::SCP::Expect - wrapper dla scp umoliwiajcy podawanie hase przez Expect
Name:		perl-Net-SCP-Expect
Version:	0.12
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ed57459ab1511bed85479bdcb18cc67a
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Expect >= 1.14
BuildRequires:	perl-Term-ReadPassword >= 0.01
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is simply a wrapper around the scp call. The primary
difference between this module and Net::SCP is that you may send
a password programmatically, instead of being forced to deal with
interactive sessions.

%description -l pl
Ten modu jest prostym wrapperem dla wywoa scp. Gwna rnica
midzy tym moduem a Net::SCP jest taka, e mona programowo wysa
haso zamiast by zmuszonym do obsugi interaktywnych sesji.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES
%{perl_vendorlib}/Net/*/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Net-SCP-Expect.spec,v $
Revision 1.5  2004/12/01 18:01:45  radek
- autoupdated to 0.12

Revision 1.4  2004/11/03 22:30:37  paladine
- formatting

Revision 1.3  2004/11/03 13:00:26  paladine
- spaces->tabs

Revision 1.2  2004/05/08 11:50:00  qboosh
- pl, other fixes

Revision 1.1  2004/05/07 21:34:57  radek
- new
